2

I am trying to install Jekyll by following Jekyll on Windows tutorial. There is a steep to install ruby from BrightBox repository. I had triggered following command:

sudo apt-add-repository ppa:brightbox/ruby-ng
sudo apt-get update
sudo apt-get install ruby2.4 ruby2.4-dev build-essential dh-autoreconf

Last command produced following error:

sudo apt-get install ruby2.4 ruby2.4-dev build-essential dh-autoreconf
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package ruby2.4
E: Couldn't find any package by glob 'ruby2.4'
E: Couldn't find any package by regex 'ruby2.4'
E: Unable to locate package ruby2.4-dev
E: Couldn't find any package by glob 'ruby2.4-dev'
E: Couldn't find any package by regex 'ruby2.4-dev' 

How can I solve this issue?

1

I had installed Ubuntu 18.04 and there was not no package ruby2.4 ruby2.4-dev for Ubuntu 18.04 at packages.ubuntu.com so, I have updated my command to as follows to install ruby2.5 ruby2.5-dev

sudo apt-get install ruby2.5 ruby2.5-dev build-essential dh-autoreconf

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.